#
# spec file for package lua-lua-dbus
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define flavor lua51
%define mod_name lua-dbus
Version:        0.0+git20170818.8fe38d0
Release:        5.3
Summary:        Convenient dbus api for lua
License:        MIT
Group:          Development/Libraries/Other
URL:            https://github.com/antlarr/lua-dbus/
Source:         lua-dbus-%{version}.tar.xz
BuildRequires:  lua-macros
BuildRequires:  %{flavor}-devel
BuildRequires:  %{flavor}-ldbus
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(dbus-1)
Requires:       %{flavor}
Requires:       %{flavor}-ldbus
%lua_provides
%if "%{flavor}" == ""
Name:           lua-%{mod_name}
ExclusiveArch:  do_not_build
%else
Name:           %{flavor}-%{mod_name}
%endif

%description
lua-dbus is a convenient lua api for dbus

%prep
%setup -q -n lua-dbus-%{version}

%build
:

%install
mkdir -p %{buildroot}%{lua_noarchdir}/lua-dbus
cp -Ra awesome  init.lua  interface.lua %{buildroot}%{lua_noarchdir}/lua-dbus/

%files
%license LICENSE
%{lua_noarchdir}/lua-dbus

%changelog
* Wed Jan 25 2023 Michal Suchanek <msuchanek@suse.de>
- Fix missing dependency on lua-macros (boo#1205612)
* Thu Feb 18 2021 Callum Farmer <gmbr3@opensuse.org>
- Use %%lua_provides macro for default lua versioning
* Mon Jul  6 2020 Matej Cepl <mcepl@suse.com>
- Add lua54 as new build target
* Mon Oct 30 2017 jmatejek@suse.com
- do not build for Lua 5.2
* Fri Aug 18 2017 opensuse-packaging@opensuse.org
- Update to version 0.0+git20170818.8fe38d0:
  * fix not calling callbacks when property changed to false
  * update test file
  * fix requiring in lua 5.2
  * add dbus.Interface
  * note my ldbus fork
  * add rockspec
  * add ldbus to deps
  * Modify rockspec to install nicely with luarocks
  * use current luarocks version of ldbus (does not require my PR)
  * Create LICENSE
* Fri Aug 18 2017 alarrosa@suse.com
- Initial release
